<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>nl.naturalis.nba.api Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="nl.naturalis.nba.api Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For Package nl.naturalis.nba.api</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Object</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="Filter.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">Filter</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="KeyValuePair.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">KeyValuePair</span></a>&lt;T,&#8203;U&gt;</li>
<li class="circle">nl.naturalis.nba.api.<a href="NameResolutionRequest.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">NameResolutionRequest</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="Path.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">Path</span></a> (implements java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang" class="externalLink">Comparable</a>&lt;T&gt;)</li>
<li class="circle">nl.naturalis.nba.api.<a href="QueryCondition.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QueryCondition</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="QueryResult.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QueryResult</span></a>&lt;T&gt; (implements java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang" class="externalLink">Iterable</a>&lt;T&gt;)
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="BatchQueryResult.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">BatchQueryResult</span></a>&lt;T&gt;</li>
<li class="circle">nl.naturalis.nba.api.<a href="GroupByScientificNameQueryResult.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">GroupByScientificNameQueryResult</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.<a href="QueryResultItem.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QueryResultItem</span></a>&lt;T&gt;</li>
<li class="circle">nl.naturalis.nba.api.<a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QuerySpec</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="GroupByScientificNameQuerySpec.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">GroupByScientificNameQuerySpec</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">NameResolutionQuerySpec</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.<a href="SortField.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">SortField</span></a></li>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Exception.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Exception</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="NbaException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">NbaException</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="InvalidQueryException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">InvalidQueryException</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="InvalidConditionException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">InvalidConditionException</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="IllegalOperatorException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">IllegalOperatorException</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.<a href="NoSuchDataSetException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">NoSuchDataSetException</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="NoSuchFieldException.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">NoSuchFieldException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="INbaAccess.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">INbaAccess</span></a>&lt;DOCUMENT_OBJECT&gt;
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="IGeoAreaAccess.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">IGeoAreaAccess</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="IMultiMediaObjectAccess.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">IMultiMediaObjectAccess</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="ISpecimenAccess.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">ISpecimenAccess</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="ITaxonAccess.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">ITaxonAccess</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.<a href="INbaDocumentMetaData.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">INbaDocumentMetaData</span></a>&lt;DOCUMENT_OBJECT&gt;</li>
<li class="circle">nl.naturalis.nba.api.<a href="INbaMetaData.html" title="interface in nl.naturalis.nba.api"><span class="typeNameLink">INbaMetaData</span></a></li>
</ul>
</section>
<section role="region">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Object</span></a>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang" class="externalLink">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)
<ul>
<li class="circle">nl.naturalis.nba.api.<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">ComparisonOperator</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="GroupByScientificNameQuerySpec.GroupSort.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">GroupByScientificNameQuerySpec.GroupSort</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="LogicalOperator.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">LogicalOperator</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="NameResolutionRequest.NameType.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">NameResolutionRequest.NameType</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="SortOrder.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">SortOrder</span></a></li>
<li class="circle">nl.naturalis.nba.api.<a href="UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api"><span class="typeNameLink">UnaryBooleanOperator</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
